FlatNodeListTraversal (groovy 2.4.15 API)
Date: 2018-03-23

Package: org.codehaus.groovy.antlr.treewalker

## [Java] Class FlatNodeListTraversal

- org.codehaus.groovy.antlr.treewalker.FlatNodeListTraversal

- A simple iterator over an ordered (flat) List of the nodes of the AST.

  Authors:
    Jeremy Rayner

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TraversalHelper` | `unvisitedNodes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FlatNodeListTraversal (Visitor visitor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `accept(GroovySourceAST currentNode)`
    `` | `AST` | `process(AST t)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TraversalHelper` | `accept, acceptChildren, acceptSiblings, accept_FirstChild_v_RestOfTheChildren, accept_FirstChild_v_RestOfTheChildren_v, accept_FirstChild_v_RestOfTheChildren_v_LastChild, accept_FirstChild_v_SecondChild, accept_FirstChild_v_SecondChild_v, accept_FirstChild_v_SecondChild_v_ThirdChild_v, accept_FirstChild_v_SecondChildsChildren_v, accept_FirstSecondAndThirdChild_v_v_ForthChild, accept_SecondChild_v_ThirdChild_v, accept_v_AllChildren_v, accept_v_AllChildren_v_Siblings, accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v, accept_v_FirstChild_SecondChild_v_ThirdChild_v, accept_v_FirstChild_v, accept_v_FirstChild_v_RestOfTheChildren, accept_v_FirstChild_v_RestOfTheChildren_v, accept_v_FirstChild_v_SecondChild_v___LastChild_v, accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild, accept_v_FirstChildsFirstChild_v_RestOfTheChildren, accept_v_Siblings_v, closingVisit, openingVisit, pop, process, push, secondVisit, setUp, skip, subsequentVisit, tearDown, visitNode`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public FlatNodeListTraversal(Visitor visitor)

  - ### Method Detail

    - #### protected void accept(GroovySourceAST currentNode)

    - #### public AST process(AST t)